View Issue Details

IDProjectCategoryView StatusLast Update
0022732LazarusWidgetsetpublic2013-06-14 15:55
ReporterC WesternAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSFedoraOS Version17
Product Version1.1 (SVN)Product Build 
Target Version1.2.0Fixed in Version1.1 (SVN) 
Summary0022732: WantReturn ignored in TMemo
DescriptionIn the gtk2 widget set at least, setting wantreturn seems to have no effect. I did a little debugging, and the only routine involved, TCustomMemo.CMWantSpecialKey seems to be called to late.
TagsNo tags attached.
Fixed in Revisionr41659, r41673, r41674, r41675
LazTarget1.2
WidgetsetGTK 2
Attached Files

Relationships

related to 0022666 closedMattias Gaertner ENTER Key behavior on String Editor 

Activities

Bart Broersma

2012-08-28 23:40

developer   ~0061959

Related to 0022666 ?

Bart Broersma

2013-03-06 13:27

developer   ~0066058

Is this issue still active?

C Western

2013-03-23 12:46

reporter   ~0066507

I have a form with a memo on it, and if wantreturn is false returns still go to the memo, not the OK button.

Paul Ishenin

2013-06-10 11:32

manager   ~0068184

Partly fixed in r41659

Paul Ishenin

2013-06-11 04:42

manager   ~0068202

Fixed for win32, qt and gtk2.

Please test and close if ok.

C Western

2013-06-11 22:04

reporter   ~0068228

Looks good under gtk2 at least. (I am not set up for the others.)
Thanks

Issue History

Date Modified Username Field Change
2012-08-27 22:22 C Western New Issue
2012-08-27 22:22 C Western Widgetset => GTK 2
2012-08-28 23:40 Bart Broersma Note Added: 0061959
2012-08-29 09:18 Vincent Snijders Relationship added related to 0022666
2013-03-06 13:27 Bart Broersma LazTarget => -
2013-03-06 13:27 Bart Broersma Note Added: 0066058
2013-03-06 13:27 Bart Broersma Status new => feedback
2013-03-23 12:46 C Western Note Added: 0066507
2013-03-23 12:46 C Western Status feedback => new
2013-06-10 11:31 Paul Ishenin Assigned To => Paul Ishenin
2013-06-10 11:31 Paul Ishenin Status new => assigned
2013-06-10 11:32 Paul Ishenin Note Added: 0068184
2013-06-11 04:42 Paul Ishenin Fixed in Revision => r41659, r41673, r41674, r41675
2013-06-11 04:42 Paul Ishenin LazTarget - => 1.2
2013-06-11 04:42 Paul Ishenin Note Added: 0068202
2013-06-11 04:42 Paul Ishenin Status assigned => resolved
2013-06-11 04:42 Paul Ishenin Fixed in Version => 1.1 (SVN)
2013-06-11 04:42 Paul Ishenin Resolution open => fixed
2013-06-11 04:42 Paul Ishenin Target Version => 1.2.0
2013-06-11 22:04 C Western Note Added: 0068228
2013-06-14 15:55 Paul Ishenin Status resolved => closed